| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Functions
ANT BPWR simulator
ANT simulators

ANT BPWR simulator module. More...

## Data Structures
struct | ant_bpwr_simulator_cfg_t
| BPWR simulator configuration structure. More...
struct | ant_bpwr_simulator_t
| BPWR simulator structure. More...
struct | ant_bpwr_simulator_cb_t
| BPWR simulator control block structure. More...

## Functions
void | ant_bpwr_simulator_init (ant_bpwr_simulator_t *p_simulator, ant_bpwr_simulator_cfg_t const *p_config, bool auto_change)
| Function for initializing the ANT BPWR simulator instance. More...
void | ant_bpwr_simulator_one_iteration (ant_bpwr_simulator_t *p_simulator, ant_bpwr_evt_t event)
| Function for simulating a device event. More...
void | ant_bpwr_simulator_increment (ant_bpwr_simulator_t *p_simulator)
| Function for incrementing the power value. More...
void | ant_bpwr_simulator_decrement (ant_bpwr_simulator_t *p_simulator)
| Function for decrementing the power value. More...

## Detailed Description

ANT BPWR simulator module.

This module simulates power for the ANT BPWR profile. The module calculates abstract values, which are handled by the BPWR pages data model to ensure that they are compatible. It provides a handler for changing the power value manually and functionality for changing the power automatically.

## Function Documentation

void ant_bpwr_simulator_decrement | ( | ant_bpwr_simulator_t * | p_simulator | ) |

Function for decrementing the power value.

Parameters

  [in] | p_simulator | Pointer to the simulator instance.

void ant_bpwr_simulator_increment | ( | ant_bpwr_simulator_t * | p_simulator | ) |

Function for incrementing the power value.

Parameters

  [in] | p_simulator | Pointer to the simulator instance.

void ant_bpwr_simulator_init | ( | ant_bpwr_simulator_t * | p_simulator,
|  | ant_bpwr_simulator_cfg_t const * | p_config,
|  | bool | auto_change
| ) |  |

Function for initializing the ANT BPWR simulator instance.

Parameters

  [in] | p_simulator | Pointer to the simulator instance.
  [in] | p_config | Pointer to the simulator configuration structure.
  [in] | auto_change | Enable or disable automatic changes of the power.

void ant_bpwr_simulator_one_iteration | ( | ant_bpwr_simulator_t * | p_simulator,
|  | ant_bpwr_evt_t | event
| ) |  |

Function for simulating a device event.

Based on this event, the transmitter data is simulated.

This function should be called in the BPWR TX event handler.